package gorm_model

import (
	"time"
)

type YounggeeSLocalLifeInfo struct {
	SLocalLifeId        int       `gorm:"column:s_local_life_id;type:int(11);primary_key" json:"s_local_life_id"`
	LocalLifeId         int       `gorm:"column:local_life_id;type:int(11);comment:被加入商单的原本地生活ID" json:"local_life_id"`
	EnterpriseId        string    `gorm:"column:enterprise_id;type:varchar(255);comment:商家ID" json:"enterprise_id"`
	SupplierId          int       `gorm:"column:supplier_id;type:int(11);comment:服务商ID" json:"supplier_id"`
	ApplyNum            int       `gorm:"column:apply_num;type:int(11);comment:报名人数" json:"apply_num"`
	RecruitNum          int       `gorm:"column:recruit_num;type:int(11);comment:已招募人数" json:"recruit_num"`
	SettleNum           int       `gorm:"column:settle_num;type:int(11);default:0;comment:已结算人数" json:"settle_num"`
	SubAccountId        int       `gorm:"column:sub_account_id;type:int(11);comment:服务商子账号ID" json:"sub_account_id"`
	ServiceCharge       string    `gorm:"column:service_charge;type:varchar(255);comment:服务商预估可赚服务费" json:"service_charge"`
	ServiceChargeActual string    `gorm:"column:service_charge_actual;type:varchar(255);comment:服务商实际可赚服务费" json:"service_charge_actual"`
	OperatorType        string    `gorm:"column:operator_type;type:varchar(255);comment:添加商单操作人类型，1为服务商主账号，2为服务商子账号" json:"operator_type"`
	SProjectStatus      string    `gorm:"column:s_project_status;type:varchar(255);comment:服务商本地生活任务状态，1待确认，2已确认，3已拒绝" json:"s_project_status"`
	StrategyStatus      string    `gorm:"column:strategy_status;type:varchar(255);comment:定向本地生活任务是否替换招募策略" json:"strategy_status"`
	BOperator           string    `gorm:"column:b_operator;type:varchar(255);comment:商家发起入库邀约人" json:"b_operator"`
	BOperatorType       string    `gorm:"column:b_operator_type;type:varchar(255);comment:商家发起入库邀约人类型：1主账号 2子账号" json:"b_operator_type"`
	CreateTime          time.Time `gorm:"column:create_time;type:datetime;comment:创建时间" json:"create_time"`
	CreateStrategyId    int       `gorm:"column:create_strategy_id;type:int(11)" json:"create_strategy_id"`
	CreateStrategyType  string    `gorm:"column:create_strategy_type;type:varchar(255)" json:"create_strategy_type"`
}

func (m *YounggeeSLocalLifeInfo) TableName() string {
	return "younggee_s_local_life_info"
}
